(use directory-utils)
(use test)

(test-assert (pathname? "abc/cbs.foo"))
(test-assert (pathname? "abc/cbs"))
(test-assert (pathname? ".abc"))
(test-assert (not (pathname? "")))

(test-assert (not (filename? "abc/cbs.foo")))
(test-assert (filename? "cbs.foo"))

(test-assert (not (dot-pathname? "abc/cbs.foo")))
(test-assert (dot-pathname? "/abc/.hide/hidden"))
(test-assert (not (dot-pathname? "/abc/cbs/./foo")))
(test-assert (not (dot-pathname? "/abc/cbs/../foo")))
(test-assert (dot-pathname? "/abc/cbs/../.foo"))
(test-assert (dot-pathname? "/abc/cbs/../.foo/bar"))

(test-assert (dot-filename? ".hide"))
(test-assert (not (dot-filename? "/abc/.hide/hidden")))
(test-assert (not (dot-filename? ".")))
(test-assert (not (dot-filename? "..")))

(test '("abc/cbs.foo") (remove-dotfiles '(".hide" "abc/cbs.foo")))

#;(directory-fold func ident . args)

#;(push-directory dir)
#;(pop-directory)
#;(pop-toplevel-directory)

(test-assert (which-command-pathnames "mkdir"))
(test-assert (not (which-command-pathnames "93274030#$%)#)$()")))
